Tag Archives: debian

gtkmozembed hack removed

gtkmozembed is notorious for consistently crashing in some systems. It turns out this is a problem with how the library is built; that is, a distro bug.

Exaile used to have a workaround for this, which apparently breaks in distributions (e.g. Gentoo) that already build gtkmozembed with the right magic.

As of a few hours ago, the workaround has been removed. If the actual problem is not fixed in your distribution (reportedly the development version of Ubuntu has been fixed), you can either ask the gtkmozembed package maintainer to apply the fix or ask the Exaile package maintainer to apply a workaround (note that a security problem has been identified in the old workaround).

Advertisements